# DataExchange
TKXCAF
XCAFDoc

# XCAFDoc_DimTol Class Reference

`#include <XCAFDoc_DimTol.hxx>`

## Public Member Functions

Standard_EXPORT | XCAFDoc_DimTol ()
Standard_EXPORT void | Set (const Standard_Integer kind, const Handle(TColStd_HArray1OfReal)&aVal, const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aDescription)
Standard_EXPORT Standard_Integer | GetKind () const
Standard_EXPORT Handle_TColStd_HArray1OfReal | GetVal () const
Standard_EXPORT Handle_TCollection_HAsciiString | GetName () const
Standard_EXPORT Handle_TCollection_HAsciiString | GetDescription () const
Standard_EXPORT const Standard_GUID & | ID () const
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&With)
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Into, const Handle(TDF_RelocationTable)&RT) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT const Standard_GUID & | GetID ()
static Standard_EXPORT Handle_XCAFDoc_DimTol | Set (const TDF_Label &label, const Standard_Integer kind, const Handle(TColStd_HArray1OfReal)&aVal, const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aDescription)

## Private Attributes

Standard_Integer | myKind
Handle_TColStd_HArray1OfReal | myVal
Handle_TCollection_HAsciiString | myName
Handle_TCollection_HAsciiString | myDescription

## Constructor & Destructor Documentation

Standard_EXPORT XCAFDoc_DimTol::XCAFDoc_DimTol | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString XCAFDoc_DimTol::GetDescription | ( |  | ) | const

static Standard_EXPORT const Standard_GUID& XCAFDoc_DimTol::GetID | ( |  | ) | `[static]`

Standard_EXPORT Standard_Integer XCAFDoc_DimTol::GetKind | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString XCAFDoc_DimTol::GetName | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HArray1OfReal XCAFDoc_DimTol::GetVal | ( |  | ) | const

Standard_EXPORT const XCAFDoc_DimTol::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT const Standard_GUID& XCAFDoc_DimTol::ID | ( |  | ) | const

Standard_EXPORT Handle_TDF_Attribute XCAFDoc_DimTol::NewEmpty | ( |  | ) | const

Standard_EXPORT void XCAFDoc_DimTol::Paste | ( | const Handle(TDF_Attribute)& | Into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const

Standard_EXPORT void XCAFDoc_DimTol::Restore | ( | const Handle(TDF_Attribute)& | With | ) |

Standard_EXPORT void XCAFDoc_DimTol::Set | ( | const Standard_Integer | kind,
|  | const Handle(TColStd_HArray1OfReal)& | aVal,
|  | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aDescription
| ) |

static Standard_EXPORT Handle_XCAFDoc_DimTol XCAFDoc_DimTol::Set | ( | const TDF_Label & | label,
|  | const Standard_Integer | kind,
|  | const Handle(TColStd_HArray1OfReal)& | aVal,
|  | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aDescription
| ) | `[static]`

## Field Documentation

Handle_TCollection_HAsciiString XCAFDoc_DimTol::myDescription `[private]`

Standard_Integer XCAFDoc_DimTol::myKind `[private]`

Handle_TCollection_HAsciiString XCAFDoc_DimTol::myName `[private]`

Handle_TColStd_HArray1OfReal XCAFDoc_DimTol::myVal `[private]`

The documentation for this class was generated from the following file:

- XCAFDoc_DimTol.hxx